Summary: TrueType Font Layouting
Name: libfonts
Version: 1.1.3
Release: 3%{?dist}

License: LGPLv2 and UCD
URL: http://reporting.pentaho.org/
Source0: https://sourceforge.net/projects/jfreereport/files/02.%20Libraries/%{version}-stable/%{name}-%{version}.zip

BuildRequires: ant, java-devel, jpackage-utils, libloader >= 1.1.3
Requires: java-headless, jpackage-utils, libloader >= 1.1.3

BuildArch: noarch
ExclusiveArch: aarch64 ppc64le x86_64 noarch

Patch3000: libfonts-1.1.2.build.patch
Patch3001: libfonts-1.1.2.java11.patch
Patch3002: libfonts-1.1.3-remove-antcontrib-support.patch
Patch3003: libfonts-1.1.3-remove-commons-logging.patch

%description
LibFonts is a library developed to support advanced layouting in JFreeReport.
This library allows to read TrueType-Font files to extract layouting specific
informations.

%package javadoc
Summary: Javadoc for %{name}
Requires: %{name} = %{version}-%{release}
Requires: jpackage-utils

%description javadoc
Javadoc for %{name}.

%prep
%autosetup -c -p1

find . -name "*.jar" -exec rm -f {} \;
rm -r source/org/pentaho/reporting/libraries/fonts/itext
mkdir -p lib
build-jar-repository -s -p lib libbase libloader

%build
ant jar javadoc
for file in README.txt licence-LGPL.txt ChangeLog.txt; do
    tr -d '\r' < $file > $file.new
    mv $file.new $file
done

%install
mkdir -p %{buildroot}%{_javadir}
cp -p ./dist/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp bin/javadoc/docs/api %{buildroot}%{_javadocdir}/%{name}

%files
%license licence-LGPL.txt
%doc README.txt ChangeLog.txt
%{_javadir}/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.3-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 09 2023 cunshunxia <cunshunxia@tencent.com> - 1.1.3-1
- initial build
